## fcitx5-chinese-addons 5.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6.0)
project(fcitx5-chinese-addons VERSION 5.1.2)

find_package(ECM REQUIRED 1.0.0)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
include(FeatureSummary)
include(GNUInstallDirs)
include(ECMSetupVersion)
include(ECMUninstallTarget)

find_package(Fcitx5Core 5.1.2 REQUIRED)
find_package(Fcitx5Module REQUIRED COMPONENTS Notifications QuickPhrase Spell Clipboard)
find_package(Fcitx5ModuleLuaAddonLoader)
find_package(Pthread REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(Gettext REQUIRED)
find_package(fmt REQUIRED)

if (TARGET fmt::fmt-header-only)
  set(FMT_TARGET fmt::fmt-header-only)
else()
  set(FMT_TARGET fmt::fmt)
endif ()

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")

#######################################################################
# Options
#######################################################################
option(ENABLE_TEST "Build Test" On)
option(ENABLE_COVERAGE "Build the project with gcov support (Need ENABLE_TEST=On)" Off)
set(GCOV_TOOL "gcov" CACHE STRING "Path to gcov tool used by coverage.")
option(ENABLE_OPENCC "Enable OpenCC for chttrans" On)
option(ENABLE_GUI "Enable Configure Gui" On)
option(ENABLE_BROWSER "Enable built-in browser." On)
option(USE_WEBKIT "Use WebKit as browser backend." On)
option(ENABLE_CLOUDPINYIN "Build cloud pinyin addon" On)

if (ENABLE_OPENCC)
    find_package(OpenCC REQUIRED)
endif()

if (ENABLE_GUI)
    find_package(Qt5 REQUIRED COMPONENTS Concurrent)
    find_package(Fcitx5Qt5WidgetsAddons REQUIRED)
    if (ENABLE_BROWSER)
        if (USE_WEBKIT)
            find_package(Qt5WebKitWidgets REQUIRED)
        else()
            find_package(Qt5WebEngineWidgets REQUIRED)
        endif()
    endif()
endif()

find_package(Boost 1.61 REQUIRED COMPONENTS iostreams)
find_package(LibIMEPinyin 1.1.3 REQUIRED)
find_package(LibIMETable 1.1.2 REQUIRED)

if (ENABLE_CLOUDPINYIN)
    pkg_check_modules(Curl REQUIRED IMPORTED_TARGET "libcurl")
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-chinese-addons\")
add_definitions(-DQT_NO_KEYWORDS)
fcitx5_add_i18n_definition()

add_subdirectory(modules)
add_subdirectory(im)
add_subdirectory(po)
add_subdirectory(tools)

if (ENABLE_GUI)
    add_subdirectory(gui)
endif()

add_subdirectory(icon)

if (ENABLE_TEST)
    find_package(Fcitx5ModuleTestFrontend REQUIRED)
    find_package(Fcitx5ModuleTestIM REQUIRED)
    enable_testing()
    add_subdirectory(test)

    if (ENABLE_COVERAGE)
        add_custom_target(coverage
                        COMMAND "${CMAKE_CTEST_COMMAND}"
                        COMMAND lcov --gcov-tool "${GCOV_TOOL}" --no-external --capture --directory ./ -b "${CMAKE_CURRENT_SOURCE_DIR}" --output-file coverage.info
                        COMMAND genhtml coverage.info --output-directory "coverage_pages"
                        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
    endif()
endif ()

fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.ChineseAddons.metainfo.xml.in
    org.fcitx.Fcitx5.Addon.ChineseAddons.metainfo.xml XML)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.ChineseAddons.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== gui/customphraseeditor/CMakeLists.txt ===
set(CUSTOMPHRASEEDITOR_SOURCES
  main.cpp
  customphraseeditor.cpp
  customphrasemodel.cpp
  editordialog.cpp
  ../../im/pinyin/customphrase.cpp
  )

add_library(customphraseeditor MODULE ${CUSTOMPHRASEEDITOR_SOURCES})
target_link_libraries(customphraseeditor Fcitx5Qt5::WidgetsAddons ${BROWSER_TARGET} Qt5::Concurrent LibIME::Core Boost::iostreams ${FMT_TARGET})
set_target_properties(customphraseeditor PROPERTIES AUTOMOC TRUE AUTOUIC TRUE AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h")

install(TARGETS customphraseeditor DESTINATION ${CMAKE_INSTALL_LIBDIR}/fcitx5/qt5)

=== gui/pinyindictmanager/CMakeLists.txt ===
set(DICTMANAGER_SOURCES
  main.cpp
  pinyindictmanager.cpp
  processrunner.cpp
  pipeline.cpp
  pipelinejob.cpp
  log.cpp
  renamefile.cpp
  filelistmodel.cpp
  )

if (ENABLE_BROWSER)
    list(APPEND DICTMANAGER_SOURCES browserdialog.cpp filedownloader.cpp)

    if (TARGET Qt5::WebKit)
        set(BROWSER_TARGET Qt5::WebKitWidgets)
    else()
        set(BROWSER_TARGET Qt5::WebEngineWidgets)
    endif()
endif()

add_library(pinyindictmanager MODULE ${DICTMANAGER_SOURCES})
target_link_libraries(pinyindictmanager Fcitx5Qt5::WidgetsAddons ${BROWSER_TARGET} Qt5::Concurrent)
set_target_properties(pinyindictmanager PROPERTIES AUTOMOC TRUE AUTOUIC TRUE AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h")

install(TARGETS pinyindictmanager DESTINATION ${CMAKE_INSTALL_LIBDIR}/fcitx5/qt5)

=== debian/changelog ===
fcitx5-chinese-addons (5.1.2-2deepin1) unstable; urgency=medium

  * remove taiwan flag

 -- zsien <quezhiyong@deepin.org>  Tue, 11 Jun 2024 14:15:46 +0800

fcitx5-chinese-addons (5.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Nov 2023 18:17:29 -0400

fcitx5-chinese-addons (5.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Oct 2023 09:04:47 -0400

=== debian/control ===
Source: fcitx5-chinese-addons
Priority: optional
Section: utils
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 appstream,
 cmake (>= 3.6.0),
 debhelper-compat (= 13),
 extra-cmake-modules,
 fcitx5-module-lua-dev,
 fcitx5-modules-dev (>= 5.1.2),
 gettext,
 libboost-iostreams-dev,
 libcurl4-openssl-dev | libcurl-dev,
 libfcitx5-qt-dev,
 libfcitx5config-dev (>= 5.1.2),
 libfcitx5core-dev (>= 5.1.2),
 libfcitx5utils-dev (>= 5.1.2),
 libfmt-dev,
 libime-bin (>= 1.1.3),
 libimecore-dev (>= 1.1.3),
 libimepinyin-dev (>= 1.1),
 libimetable-dev (>= 1.1),
 libopencc-dev (>= 1.1~),
 pkg-config,
 qtbase5-dev,
 qtwebengine5-dev [amd64 arm64 armhf i386 mips64el],
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx5-chinese-addons
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-chinese-addons.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-chinese-addons

Package: fcitx5-chinese-addons
Section: metapackages
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-chinese-addons-bin,
 fcitx5-pinyin,
 fcitx5-table,
 ${misc:Depends},
Recommends:
 fcitx5,
 fcitx5-module-lua,
Enhances:
 fcitx5,
Description: Chinese-related addon for fcitx5 (metapackage)
 For Chinese fcitx5 users, fcitx5-chinese-addons provides Chinese-specific
 pinyin and table input method support.
 .
 This package is a metapackage, which depends on all addons provided by
 fcitx5-chinese-addons project. Users should consider installing it for
 best experience of Chinese integration with fcitx5.

Package: fcitx5-chinese-addons-bin
Architecture: any
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Chinese-related addon for fcitx5 (binary tools)
 For Chinese fcitx5 users, fcitx5-chinese-addons provides Chinese-specific
 pinyin and table input method support.
 .
 This package provides binary tools provided by fcitx5-chinese-addons.

Package: fcitx5-chinese-addons-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Conflicts:
 fcitx-data,
Description: Chinese-related addon for fcitx5 (shared data files)
 For Chinese fcitx5 users, fcitx5-chinese-addons provides Chinese-specific
 pinyin and table input method support.
 .
 This package provides architecture-independent shared data files used by
 fcitx5-chinese-addons.

Package: fcitx5-module-chttrans
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 fcitx-data,
Description: Fcitx Input Method Framework v5 (chttrans module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the chttrans module.

Package: fcitx5-module-cloudpinyin
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fcitx Input Method Framework v5 (cloudpinyin module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the cloudpinyin module. It is used to enhance
 the input experience of Chinese pinyin users.

Package: fcitx5-module-cloudpinyin-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-module-cloudpinyin (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for fcitx5 cloudpinyin module
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides development files for the cloudpinyin module
 of fcitx5.

Package: fcitx5-module-fullwidth
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 fcitx-data,
Description: Fcitx Input Method Framework v5 (fullwidth module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the fullwidth module. It enhances the input
 experience of full-width characters.

Package: fcitx5-module-pinyinhelper
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 fcitx5-pinyin (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fcitx Input Method Framework v5 (pinyinhelper module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the pinyinhelper module. It is used to enhance
 the input experience of Chinese pinyin users.

Package: fcitx5-module-pinyinhelper-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-module-pinyinhelper (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for fcitx5 pinyinhelper module
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides development files for the pinyinhelper module
 of fcitx5.

Package: fcitx5-module-punctuation
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 fcitx-data,
Description: Fcitx Input Method Framework v5 (punctuation module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the punctuation module. It provides the
 capability to easily input punctuations.

Package: fcitx5-module-punctuation-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-module-punctuation (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for fcitx5 punctuation module
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides development files for the punctuation module
 of fcitx5.

Package: fcitx5-pinyin
Architecture: any
Multi-Arch: same
Depends:
 fcitx5,
 fcitx5-chinese-addons-data,
 fcitx5-module-punctuation (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx5-module-chttrans (= ${binary:Version}),
 fcitx5-module-cloudpinyin (= ${binary:Version}),
 fcitx5-module-fullwidth (= ${binary:Version}),
 fcitx5-module-pinyinhelper (= ${binary:Version}),
 fcitx5-module-quickphrase,
 fcitx5-modules,
 fcitx5-pinyin-gui,
Conflicts:
 fcitx-data,
Description: Fcitx Input Method Framework v5 (builtin pinyin support)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the builtin pinyin input method. It provides
 the default pinyin input method for Chinese users. Its associated
 GUI tools can be found in the separate fcitx5-pinyin-gui package.

Package: fcitx5-pinyin-gui
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 fcitx5-pinyin (= ${binary:Version}),
Breaks:
 fcitx5-pinyin (<< 5.1.0),
Replaces:
 fcitx5-pinyin (<< 5.1.0),
Description: Fcitx Input Method Framework v5 (builtin pinyin GUI tools)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the GUI tools for the builtin pinyin input method.
 Currently, it includes the following components:
 .
   * customphraseeditor
   * pinyindictmanager

Package: fcitx5-table
Architecture: any
Multi-Arch: same
Depends:
 fcitx5,
 fcitx5-chinese-addons-data,
 fcitx5-module-pinyinhelper (= ${binary:Version}),

## fcitx5-chinese-addons 5.1.3

=== test/CMakeLists.txt ===
configure_file(testdir.h.in ${CMAKE_CURRENT_BINARY_DIR}/testdir.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_executable(testpunctuation testpunctuation.cpp)
target_link_libraries(testpunctuation Fcitx5::Core Fcitx5::Module::Punctuation)
add_dependencies(testpunctuation punctuation punctuation.conf.in-fmt)
add_test(NAME testpunctuation COMMAND testpunctuation)

if (ENABLE_CLOUDPINYIN)
add_executable(testcloudpinyin testcloudpinyin.cpp)
target_link_libraries(testcloudpinyin Fcitx5::Core Fcitx5::Module::CloudPinyin)
add_dependencies(testcloudpinyin cloudpinyin)
endif()

add_executable(testpinyinhelper testpinyinhelper.cpp)
target_link_libraries(testpinyinhelper Fcitx5::Core Fcitx5::Module::PinyinHelper)
add_dependencies(testpinyinhelper pinyinhelper pinyinhelper.conf.in-fmt)
add_test(NAME testpinyinhelper COMMAND testpinyinhelper)

add_executable(testfullwidth testfullwidth.cpp)
target_link_libraries(testfullwidth Fcitx5::Core Fcitx5::Module::TestFrontend Fcitx5::Module::TestIM Pthread::Pthread)
add_dependencies(testfullwidth fullwidth fullwidth.conf.in-fmt)
add_test(NAME testfullwidth COMMAND testfullwidth)

add_subdirectory(inputmethod)
add_executable(testchttrans testchttrans.cpp)
target_link_libraries(testchttrans Fcitx5::Core Fcitx5::Module::TestFrontend Fcitx5::Module::TestIM Pthread::Pthread)
add_dependencies(testchttrans chttrans chttrans.conf.in-fmt copy-addon copy-testim)
add_test(NAME testchttrans COMMAND testchttrans)

add_subdirectory(addon)
add_executable(testpinyin testpinyin.cpp)
target_link_libraries(testpinyin Fcitx5::Core Fcitx5::Module::TestFrontend)
add_dependencies(testpinyin pinyin pinyinhelper copy-addon copy-im)
add_test(NAME testpinyin COMMAND testpinyin)
add_executable(testtable testtable.cpp)
target_link_libraries(testtable Fcitx5::Core Fcitx5::Module::TestFrontend)
add_dependencies(testtable table copy-addon copy-im)
add_test(NAME testtable COMMAND testtable)

add_executable(testcustomphrase testcustomphrase.cpp ../im/pinyin/customphrase.cpp)
target_compile_definitions(testcustomphrase PRIVATE "-DFCITX_CUSTOM_PHRASE_TEST")
target_link_libraries(testcustomphrase Fcitx5::Utils LibIME::Core ${FMT_TARGET})
add_test(NAME testcustomphrase COMMAND testcustomphrase)

=== im/pinyin/CMakeLists.txt ===
set(PINYIN_SOURCES
    pinyin.cpp
    customphrase.cpp
)

add_library(pinyin MODULE ${PINYIN_SOURCES})
target_link_libraries(pinyin Fcitx5::Core Fcitx5::Config LibIME::Pinyin Boost::iostreams Fcitx5::Module::Punctuation Fcitx5::Module::QuickPhrase Fcitx5::Module::Notifications Fcitx5::Module::Spell Fcitx5::Module::PinyinHelper ${FMT_TARGET})

if (TARGET Fcitx5::Module::LuaAddonLoader)
    target_compile_definitions(pinyin PRIVATE -DFCITX_HAS_LUA)
    target_link_libraries(pinyin Fcitx5::Module::LuaAddonLoader)
    install(FILES pinyin.lua DESTINATION "${FCITX_INSTALL_PKGDATADIR}/lua/imeapi/extensions"
            COMPONENT config)
endif()

install(TARGETS pinyin DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(pinyin.conf.in pinyin.conf)
fcitx5_translate_desktop_file(shuangpin.conf.in shuangpin.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pinyin.conf" "${CMAKE_CURRENT_BINARY_DIR}/shuangpin.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod"
        COMPONENT config)
configure_file(pinyin-addon.conf.in.in pinyin-addon.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/pinyin-addon.conf.in" pinyin-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pinyin-addon.conf" RENAME pinyin.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon"
        COMPONENT config)

if (ENABLE_DATA)
  add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/emoji.dict"
    DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/emoji.txt" LibIME::pinyindict
    COMMAND LibIME::pinyindict "${CMAKE_CURRENT_SOURCE_DIR}/emoji.txt" "${CMAKE_CURRENT_BINARY_DIR}/emoji.dict")
  add_custom_target(emoji-dict ALL DEPENDS "emoji.dict")
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/emoji.dict" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/pinyin")

  add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/chaizi.dict"
    DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/chaizi.txt" LibIME::pinyindict
    COMMAND LibIME::pinyindict "${CMAKE_CURRENT_SOURCE_DIR}/chaizi.txt" "${CMAKE_CURRENT_BINARY_DIR}/chaizi.dict")
  add_custom_target(chaizi-dict ALL DEPENDS "chaizi.dict")
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/chaizi.dict" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/pinyin")
endif()

=== im/table/CMakeLists.txt ===
set(TABLE_SOURCES
    engine.cpp
    state.cpp
    ime.cpp
    context.cpp
)
add_library(table MODULE ${TABLE_SOURCES})
target_link_libraries(table Fcitx5::Core Fcitx5::Config LibIME::Table LibIME::Pinyin Boost::iostreams Fcitx5::Module::Punctuation Fcitx5::Module::QuickPhrase Fcitx5::Module::PinyinHelper LibIME::Pinyin ${FMT_TARGET})
target_compile_definitions(table PRIVATE FCITX_STRINGUTILS_ENABLE_BOOST_STRING_VIEW)
install(TARGETS table DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
configure_file(table.conf.in.in table.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/table.conf.in" table.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/table.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/addon"
        COMPONENT config)

file(GLOB TABLE_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.conf.in.in)
list(REMOVE_ITEM TABLE_FILES table.conf.in.in)
foreach(TABLE_ORIG ${TABLE_FILES})
  get_filename_component(TABLE_NAME "${TABLE_ORIG}" NAME_WE)
  configure_file(${TABLE_NAME}.conf.in.in "${CMAKE_CURRENT_BINARY_DIR}/${TABLE_NAME}.conf.in" @ONLY)
  fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/${TABLE_NAME}.conf.in" ${TABLE_NAME}.conf)
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${TABLE_NAME}.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod"
          COMPONENT config)
endforeach()

=== modules/chttrans/CMakeLists.txt ===
set(CHTTRANS_SOURCES
    chttrans.cpp chttrans-native.cpp
)
if (ENABLE_OPENCC)
    set(CHTTRANS_SOURCES ${CHTTRANS_SOURCES} chttrans-opencc.cpp)
endif()
add_library(chttrans MODULE ${CHTTRANS_SOURCES})
target_link_libraries(chttrans Fcitx5::Core Fcitx5::Config Fcitx5::Module::Notifications Boost::iostreams)
if (ENABLE_OPENCC)
    target_link_libraries(chttrans OpenCC::OpenCC)
endif()
install(TARGETS chttrans DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
configure_file(chttrans.conf.in.in chttrans.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/chttrans.conf.in" chttrans.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/chttrans.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon"
        COMPONENT config)
install(FILES gbks2t.tab DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/chttrans" COMPONENT config)

=== modules/cloudpinyin/CMakeLists.txt ===
set(CLOUDPINYIN_SOURCES
    cloudpinyin.cpp
    fetch.cpp
)

if (ENABLE_CLOUDPINYIN)
add_library(cloudpinyin MODULE ${CLOUDPINYIN_SOURCES})
target_link_libraries(cloudpinyin Fcitx5::Core Fcitx5::Config PkgConfig::Curl Pthread::Pthread)
install(TARGETS cloudpinyin DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
configure_file(cloudpinyin.conf.in.in cloudpinyin.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/cloudpinyin.conf.in" cloudpinyin.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/cloudpinyin.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon"
        COMPONENT config)

fcitx5_export_module(CloudPinyin TARGET cloudpinyin BUILD_INCLUDE_DIRECTORIES "${CMAKE_CURRENT_SOURCE_DIR}" HEADERS cloudpinyin_public.h INSTALL)
endif()

=== modules/fullwidth/CMakeLists.txt ===
set(FULLWIDTH_SOURCES
    fullwidth.cpp
)
add_library(fullwidth MODULE ${FULLWIDTH_SOURCES})
target_link_libraries(fullwidth Fcitx5::Core Fcitx5::Config Fcitx5::Module::Notifications)
install(TARGETS fullwidth DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
configure_file(fullwidth.conf.in.in fullwidth.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/fullwidth.conf.in" fullwidth.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/fullwidth.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon"
        COMPONENT config)

=== modules/pinyinhelper/CMakeLists.txt ===
set(PINYINHELPER_SOURCES
    pinyinhelper.cpp
    pinyinlookup.cpp
    stroke.cpp
)
add_library(pinyinhelper MODULE ${PINYINHELPER_SOURCES})
target_link_libraries(pinyinhelper 
Fcitx5::Core 
Fcitx5::Config
LibIME::Core
Boost::iostreams
Fcitx5::Module::QuickPhrase
Fcitx5::Module::Clipboard
Pthread::Pthread
${FMT_TARGET})
install(TARGETS pinyinhelper DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
configure_file(pinyinhelper.conf.in.in pinyinhelper.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/pinyinhelper.conf.in" pinyinhelper.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pinyinhelper.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon"
        COMPONENT config)

fcitx5_export_module(PinyinHelper TARGET pinyinhelper BUILD_INCLUDE_DIRECTORIES "${CMAKE_CURRENT_SOURCE_DIR}" HEADERS pinyinhelper_public.h INSTALL)

set(PY_STROKE_VER 20121124)
set(PY_STROKE_TGT "${CMAKE_CURRENT_BINARY_DIR}/py_stroke.mb")
set(PY_STROKE_TAR "py_stroke-${PY_STROKE_VER}.tar.gz")
set(PY_STROKE_URL
  "http://download.fcitx-im.org/data/py_stroke-${PY_STROKE_VER}.tar.gz")
fcitx5_download(py-stroke-download "${PY_STROKE_URL}" "${PY_STROKE_TAR}"
  8eb128a9bfa43952e67cf2fcee1fd134c6f4cfd317bc2f6c38a615f5eb64e248)
fcitx5_extract(py-stroke-extract "${PY_STROKE_TAR}" DEPENDS py-stroke-download
  OUTPUT ${PY_STROKE_TGT})
install(FILES "${PY_STROKE_TGT}" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/pinyinhelper")

set(PY_TABLE_VER 20121124)
set(PY_TABLE_TGT "${CMAKE_CURRENT_BINARY_DIR}/py_table.mb")
set(PY_TABLE_TAR "py_table-${PY_TABLE_VER}.tar.gz")
set(PY_TABLE_URL
  "http://download.fcitx-im.org/data/py_table-${PY_TABLE_VER}.tar.gz")
fcitx5_download(py-table-download "${PY_TABLE_URL}" "${PY_TABLE_TAR}"
  42146ac97de6c13d55f9e99ed873915f4c66739e9c11532a34556badf9792c04)
fcitx5_extract(py-table-extract "${PY_TABLE_TAR}" DEPENDS py-table-download
  OUTPUT ${PY_TABLE_TGT})
install(FILES "${PY_TABLE_TGT}" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/pinyinhelper")

=== debian/changelog ===
fcitx5-chinese-addons (5.1.3-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:06:52 +0000

fcitx5-chinese-addons (5.1.3-1build2) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:14:55 +0000

fcitx5-chinese-addons (5.1.3-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:20:59 +0000

fcitx5-chinese-addons (5.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Jan 2024 15:59:16 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fcitx5-chinese-addons
 Priority: optional
 Section: utils
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -10,17 +11,17 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  fcitx5-module-lua-dev,
- fcitx5-modules-dev (>= 5.1.2),
+ fcitx5-modules-dev (>= 5.1.6),
  gettext,
  libboost-iostreams-dev,
  libcurl4-openssl-dev | libcurl-dev,
  libfcitx5-qt-dev,
- libfcitx5config-dev (>= 5.1.2),
- libfcitx5core-dev (>= 5.1.2),
- libfcitx5utils-dev (>= 5.1.2),
+ libfcitx5config-dev (>= 5.1.6),
+ libfcitx5core-dev (>= 5.1.6),
+ libfcitx5utils-dev (>= 5.1.6),
  libfmt-dev,
- libime-bin (>= 1.1.3),
- libimecore-dev (>= 1.1.3),
+ libime-bin (>= 1.1.4),
+ libimecore-dev (>= 1.1.4),
  libimepinyin-dev (>= 1.1),
  libimetable-dev (>= 1.1),
  libopencc-dev (>= 1.1~),
@@ -333,4 +334,3 @@
 Depends:
  fcitx5,
  fcitx5-chinese-addons-data,
- fcitx5-module-pinyinhelper (= ${binary:Version}),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
ifeq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mips64el))
	dh_auto_configure -- -DENABLE_BROWSER=OFF
else
	dh_auto_configure -- -DUSE_WEBKIT=OFF
endif

## fcitx5-chinese-addons 5.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6.0)
-project(fcitx5-chinese-addons VERSION 5.1.2)
+project(fcitx5-chinese-addons VERSION 5.1.6)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -8,7 +8,7 @@
 include(ECMSetupVersion)
 include(ECMUninstallTarget)
 
-find_package(Fcitx5Core 5.1.2 REQUIRED)
+find_package(Fcitx5Core 5.1.9 REQUIRED)
 find_package(Fcitx5Module REQUIRED COMPONENTS Notifications QuickPhrase Spell Clipboard)
 find_package(Fcitx5ModuleLuaAddonLoader)
 find_package(Pthread REQUIRED)
@@ -33,31 +33,46 @@
 option(ENABLE_OPENCC "Enable OpenCC for chttrans" On)
 option(ENABLE_GUI "Enable Configure Gui" On)
 option(ENABLE_BROWSER "Enable built-in browser." On)
-option(USE_WEBKIT "Use WebKit as browser backend." On)
+option(USE_WEBKIT "Use WebKit as browser backend." Off)
 option(ENABLE_CLOUDPINYIN "Build cloud pinyin addon" On)
+option(USE_QT6 "Build with Qt6" On)
+option(ENABLE_DATA "Build data" On)
 
 if (ENABLE_OPENCC)
-    find_package(OpenCC REQUIRED)
+    find_package(OpenCC 1.0.1 REQUIRED)
 endif()
 
 if (ENABLE_GUI)
-    find_package(Qt5 REQUIRED COMPONENTS Concurrent)
-    find_package(Fcitx5Qt5WidgetsAddons REQUIRED)
+    if (USE_QT6)
+        set(QT_MAJOR_VERSION 6)
+        if (USE_WEBKIT)
+            message(FATAL_ERROR "Qt 6 does not have webkit available.")
+        endif()
+    else()
+        set(QT_MAJOR_VERSION 5)
+    endif()
+    find_package(Qt${QT_MAJOR_VERSION} REQUIRED COMPONENTS Concurrent)
+    find_package(Fcitx5Qt${QT_MAJOR_VERSION}WidgetsAddons REQUIRED)
     if (ENABLE_BROWSER)
         if (USE_WEBKIT)
-            find_package(Qt5WebKitWidgets REQUIRED)
+            find_package(Qt${QT_MAJOR_VERSION}WebKitWidgets REQUIRED)
         else()
-            find_package(Qt5WebEngineWidgets REQUIRED)
+            find_package(Qt${QT_MAJOR_VERSION}WebEngineWidgets REQUIRED)
         endif()
     endif()
 endif()
 
-find_package(Boost 1.61 REQUIRED COMPONENTS iostreams)
-find_package(LibIMEPinyin 1.1.3 REQUIRED)
-find_package(LibIMETable 1.1.2 REQUIRED)
+# We do not need json if OpenCC is not needed, but just try to find it anyway to save some ifelse logic
+find_package(Boost 1.61 REQUIRED COMPONENTS iostreams OPTIONAL_COMPONENTS json)
+find_package(LibIMEPinyin 1.1.7 REQUIRED)
+find_package(LibIMETable 1.1.4 REQUIRED)
 
 if (ENABLE_CLOUDPINYIN)
     pkg_check_modules(Curl REQUIRED IMPORTED_TARGET "libcurl")
+endif()
+
+if (TARGET Boost::json)
+    set(HAS_BOOST_JSON TRUE)
 endif()
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -42,3 +42,7 @@
 target_compile_definitions(testcustomphrase PRIVATE "-DFCITX_CUSTOM_PHRASE_TEST")
 target_link_libraries(testcustomphrase Fcitx5::Utils LibIME::Core ${FMT_TARGET})
 add_test(NAME testcustomphrase COMMAND testcustomphrase)
+
+add_executable(testsymboldictionary testsymboldictionary.cpp ../im/pinyin/symboldictionary.cpp)
+target_link_libraries(testsymboldictionary Fcitx5::Utils LibIME::Core)
+add_test(NAME testsymboldictionary COMMAND testsymboldictionary)

=== im/pinyin/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,13 @@
 set(PINYIN_SOURCES
     pinyin.cpp
     customphrase.cpp
+    symboldictionary.cpp
+    workerthread.cpp
+    pinyincandidate.cpp
 )
 
 add_library(pinyin MODULE ${PINYIN_SOURCES})
-target_link_libraries(pinyin Fcitx5::Core Fcitx5::Config LibIME::Pinyin Boost::iostreams Fcitx5::Module::Punctuation Fcitx5::Module::QuickPhrase Fcitx5::Module::Notifications Fcitx5::Module::Spell Fcitx5::Module::PinyinHelper ${FMT_TARGET})
+target_link_libraries(pinyin Fcitx5::Core Fcitx5::Config LibIME::Pinyin Boost::iostreams Fcitx5::Module::Punctuation Fcitx5::Module::QuickPhrase Fcitx5::Module::Notifications Fcitx5::Module::Spell Fcitx5::Module::PinyinHelper Pthread::Pthread ${FMT_TARGET})
 
 if (TARGET Fcitx5::Module::LuaAddonLoader)
     target_compile_definitions(pinyin PRIVATE -DFCITX_HAS_LUA)
@@ -23,13 +26,9 @@
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pinyin-addon.conf" RENAME pinyin.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon"
         COMPONENT config)
 
+install(FILES "symbols" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/pinyin" COMPONENT config)
+
 if (ENABLE_DATA)
-  add_custom_command(
-    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/emoji.dict"
-    DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/emoji.txt" LibIME::pinyindict
-    COMMAND LibIME::pinyindict "${CMAKE_CURRENT_SOURCE_DIR}/emoji.txt" "${CMAKE_CURRENT_BINARY_DIR}/emoji.dict")
-  add_custom_target(emoji-dict ALL DEPENDS "emoji.dict")
-  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/emoji.dict" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/pinyin")
 
   add_custom_command(
     OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/chaizi.dict"

=== im/table/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
     state.cpp
     ime.cpp
     context.cpp
+    candidate.cpp
 )
 add_library(table MODULE ${TABLE_SOURCES})
 target_link_libraries(table Fcitx5::Core Fcitx5::Config LibIME::Table LibIME::Pinyin Boost::iostreams Fcitx5::Module::Punctuation Fcitx5::Module::QuickPhrase Fcitx5::Module::PinyinHelper LibIME::Pinyin ${FMT_TARGET})

=== modules/chttrans/CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,12 @@
     set(CHTTRANS_SOURCES ${CHTTRANS_SOURCES} chttrans-opencc.cpp)
 endif()
 add_library(chttrans MODULE ${CHTTRANS_SOURCES})
-target_link_libraries(chttrans Fcitx5::Core Fcitx5::Config Fcitx5::Module::Notifications Boost::iostreams)
+target_link_libraries(chttrans Fcitx5::Core Fcitx5::Config Fcitx5::Module::Notifications Boost::iostreams ${FMT_TARGET})
 if (ENABLE_OPENCC)
     target_link_libraries(chttrans OpenCC::OpenCC)
+    if (TARGET Boost::json)
+        target_link_libraries(chttrans Boost::json)
+    endif()
 endif()
 install(TARGETS chttrans DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
 configure_file(chttrans.conf.in.in chttrans.conf.in)

=== debian/changelog ===
fcitx5-chinese-addons (5.1.6-3deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:46:10 +0800

fcitx5-chinese-addons (5.1.6-3) unstable; urgency=medium

  * debian/control: Rebuild against opencc 1.1.9.

 -- Boyuan Yang <byang@debian.org>  Thu, 15 Aug 2024 16:40:50 -0400

fcitx5-chinese-addons (5.1.6-2) unstable; urgency=medium

  * debian/control: Rebuild against opencc 1.1.8.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Jul 2024 20:47:42 -0400

fcitx5-chinese-addons (5.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Jun 2024 08:26:00 -0400

fcitx5-chinese-addons (5.1.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/fcitx5-pinyin.install: Update file installation for emoji dict.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Apr 2024 20:42:57 -0400

fcitx5-chinese-addons (5.1.4-2) unstable; urgency=medium

  * debian/fcitx5-chinese-addons.install: Move the installation of
    Appdata metainfo XML file from the separate fcitx5-chinese-addons-data
    package to the main fcitx5-chinese-addons metapackage to help the
    package handling via Appstream-based package management software
    such as KDE Discover and GNOME Software.
    (Closes: #1069070) (LP: #2061664)
  * debian/control: Add fcitx5-chinese-addons Breaks+Replaces on
    fcitx5-chinese-addons-data (<< ${binary:Version}) for a smooth
    transition.

 -- Boyuan Yang <byang@debian.org>  Mon, 15 Apr 2024 15:43:44 -0400

fcitx5-chinese-addons (5.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Mar 2024 22:28:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fcitx5-chinese-addons
 Priority: optional
 Section: utils
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -11,24 +10,25 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  fcitx5-module-lua-dev,
- fcitx5-modules-dev (>= 5.1.6),
+ fcitx5-modules-dev (>= 5.1.8),
  gettext,
  libboost-iostreams-dev,
+ libboost-json-dev,
  libcurl4-openssl-dev | libcurl-dev,
  libfcitx5-qt-dev,
- libfcitx5config-dev (>= 5.1.6),
- libfcitx5core-dev (>= 5.1.6),
- libfcitx5utils-dev (>= 5.1.6),
+ libfcitx5config-dev (>= 5.1.8),
+ libfcitx5core-dev (>= 5.1.8),
+ libfcitx5utils-dev (>= 5.1.8),
  libfmt-dev,
  libime-bin (>= 1.1.4),
  libimecore-dev (>= 1.1.4),
- libimepinyin-dev (>= 1.1),
- libimetable-dev (>= 1.1),
- libopencc-dev (>= 1.1~),
- pkg-config,
+ libimepinyin-dev (>= 1.1.6),
+ libimetable-dev (>= 1.1.4~),
+ libopencc-dev (>= 1.1.9~),
+ pkgconf,
  qtbase5-dev,
  qtwebengine5-dev [amd64 arm64 armhf i386 mips64el],
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-chinese-addons
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-chinese-addons.git
@@ -46,6 +46,10 @@
 Recommends:
  fcitx5,
  fcitx5-module-lua,
+Breaks:
+ fcitx5-chinese-addons-data (<< ${binary:Version}),
+Replaces:
+ fcitx5-chinese-addons-data (<< ${binary:Version}),
 Enhances:
  fcitx5,
 Description: Chinese-related addon for fcitx5 (metapackage)
@@ -330,7 +334,3 @@
 
 Package: fcitx5-table
 Architecture: any
-Multi-Arch: same
-Depends:
- fcitx5,
- fcitx5-chinese-addons-data,

## fcitx5-chinese-addons 5.1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6.0)
-project(fcitx5-chinese-addons VERSION 5.1.6)
+project(fcitx5-chinese-addons VERSION 5.1.7)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -8,7 +8,7 @@
 include(ECMSetupVersion)
 include(ECMUninstallTarget)
 
-find_package(Fcitx5Core 5.1.9 REQUIRED)
+find_package(Fcitx5Core 5.1.11 REQUIRED)
 find_package(Fcitx5Module REQUIRED COMPONENTS Notifications QuickPhrase Spell Clipboard)
 find_package(Fcitx5ModuleLuaAddonLoader)
 find_package(Pthread REQUIRED)

=== debian/changelog ===
fcitx5-chinese-addons (5.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Oct 2024 18:49:26 -0400

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,15 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  fcitx5-module-lua-dev,
- fcitx5-modules-dev (>= 5.1.8),
+ fcitx5-modules-dev (>= 5.1.11),
  gettext,
  libboost-iostreams-dev,
  libboost-json-dev,
  libcurl4-openssl-dev | libcurl-dev,
  libfcitx5-qt-dev,
- libfcitx5config-dev (>= 5.1.8),
- libfcitx5core-dev (>= 5.1.8),
- libfcitx5utils-dev (>= 5.1.8),
+ libfcitx5config-dev (>= 5.1.11),
+ libfcitx5core-dev (>= 5.1.11),
+ libfcitx5utils-dev (>= 5.1.11),
  libfmt-dev,
  libime-bin (>= 1.1.4),
  libimecore-dev (>= 1.1.4),
